Share Campaign
curl --request POST \
--url https://api.goextrovert.com/client/v2/campaign/{campaignId}/share \
--header 'Content-Type: application/json' \
--header 'X-API-Key: <api-key>' \
--data '
{
"campaignId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"usersIds": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
],
"shareWithAllWorkspaceUsers": true
}
'import requests
url = "https://api.goextrovert.com/client/v2/campaign/{campaignId}/share"
payload = {
"campaignId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"usersIds": ["3c90c3cc-0d44-4b50-8888-8dd25736052a"],
"shareWithAllWorkspaceUsers": True
}
headers = {
"X-API-Key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'X-API-Key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
campaignId: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
usersIds: ['3c90c3cc-0d44-4b50-8888-8dd25736052a'],
shareWithAllWorkspaceUsers: true
})
};
fetch('https://api.goextrovert.com/client/v2/campaign/{campaignId}/share', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"status": "success",
"data": null,
"message": "Operation completed successfully"
}{
"status": "error",
"data": null,
"message": "An error occurred while processing the request"
}Campaigns
Share Campaign
Updates campaign sharing settings. Pass explicit user ids in usersIds to share with specific teammates, or set shareWithAllWorkspaceUsers=true to make the campaign visible to the whole team — in that case pass an empty array for usersIds.
POST
/
client
/
v2
/
campaign
/
{campaignId}
/
share
Share Campaign
Authorizations
API Key for authentication
Path Parameters
Body
application/json
Campaign id whose sharing settings should be updated.
Team member ids that should have access to the campaign. Pass an empty array when shareWithAllWorkspaceUsers=true.
Whether to share the campaign with all members of the team.
⌘I